package ru.yandex.autotests.directapi.model.api5.ads;

import com.yandex.direct.api.v5.ads.AdBuilderAdUpdateItem;
import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

public class AdBuilderAdUpdateItemMap extends ModelBeanMap<AdBuilderAdUpdateItemMap> {
    public static final String CREATIVE_ID = "creativeId";

    public AdBuilderAdUpdateItemMap() {
        super();
        setBean(new AdBuilderAdUpdateItem());
    }

    public AdBuilderAdUpdateItemMap(AdBuilderAdUpdateItem adBuilderAdUpdateItem) {
        super();
        setBean(adBuilderAdUpdateItem);
    }

    public AdBuilderAdUpdateItemMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public AdBuilderAdUpdateItemMap withCreativeId(Long creativeId) {
        this.put(CREATIVE_ID, creativeId);
        return this;
    }
}
